:root{
    
  --MAIN-TEXT-color:#34495e; /* Color of text by default */
  --MAIN-TITLES-TEXT-color: ##34495e; /* Color of titles h2-h3-h4-h5 */
  --MAIN-LINK-color:#1C90F3; /* Color of links */
  --MAIN-LINK-HOVER-color:#167ad0; /* Color of hovered links */
  --MAIN-ANCHOR-color: #1C90F3; /* color of anchors on titles */

  --MENU-HEADER-BG-color:#FFFFFF; /* Background color of menu header */
  --MENU-HEADER-BORDER-color:#ffffff; /*Color of menu header border */ 

  --MENU-SEARCH-BG-color:#FFFFFF; /* Search field background color (by default borders + icons) */
  --MENU-SEARCH-BOX-color: #364149; /* Override search field border color */
  --MENU-SEARCH-BOX-ICONS-color: #364149; /* Override search field icons color */

  --MENU-SECTIONS-ACTIVE-BG-color:#FFFFFF; /* Background color of the active section and its childs */
  --MENU-SECTIONS-BG-color:#FFFFFF; /* Background color of other sections */
  --MENU-SECTIONS-LINK-color: #364149; /* Color of links in menu */
  --MENU-SECTIONS-LINK-HOVER-color: #008ad7;  /* Color of links in menu, when hovered */
  --MENU-SECTION-ACTIVE-CATEGORY-color: #008ad7; /* Color of active category text */
  --MENU-SECTION-ACTIVE-CATEGORY-BG-color: #fff; /* Color of background for the active category (only) */

  --MENU-VISITED-color: #33a1ff; /* Color of 'page visited' icons in menu */
  --MENU-SECTION-HR-color: #20272b; /* Color of <hr> separator in menu */
  
}

@import url('https://fonts.googleapis.com/css?family=Noto+Serif|Roboto&display=swap');

body {
  color: var(--MAIN-TEXT-color) !important;
  font-family: 'Roboto', sans-serif;
  font-size: 17px !important;
}

h1{
  font-family: 'Noto Serif', serif;
  color: #34495e;
}

textarea:focus, input[type="email"]:focus, input[type="number"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="text"]:focus, input[type="url"]:focus, input[type="color"]:focus, input[type="date"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, select[multiple=multiple]:focus {
  border-color: none;
  box-shadow: none;
}

h2, h3, h4, h5 {
  color: var(--MAIN-TITLES-TEXT-color) !important;
}

a {
  color: var(--MAIN-LINK-color);
}

.anchor {
  color: var(--MAIN-ANCHOR-color);
}

a:hover {
  color: var(--MAIN-LINK-HOVER-color);
}

#sidebar ul li.visited > a .read-icon {
color: var(--MENU-VISITED-color);
}

#body a.highlight:after {
  display: block;
  content: "";
  height: 1px;
  width: 0%;
  -webkit-transition: width 0.5s ease;
  -moz-transition: width 0.5s ease;
  -ms-transition: width 0.5s ease;
  transition: width 0.5s ease;
  background-color: var(--MAIN-LINK-HOVER-color);
}
#sidebar {
background-color: var(--MENU-SECTIONS-BG-color);
}
#sidebar #header-wrapper {
  background: var(--MENU-HEADER-BG-color);
  color: var(--MENU-SEARCH-BOX-color);
  border-color: var(--MENU-HEADER-BORDER-color);
}
#sidebar .searchbox {
border-color: var(--MENU-SEARCH-BOX-color);
  background: var(--MENU-SEARCH-BG-color);
}
#sidebar ul.topics > li.parent, #sidebar ul.topics > li.active {
  background: var(--MENU-SECTIONS-ACTIVE-BG-color);
  
}
#sidebar .searchbox * {
  color: var(--MENU-SEARCH-BOX-ICONS-color);
}

#sidebar a {
  color: var(--MENU-SECTIONS-LINK-color);
}

#sidebar a:hover {
  color: var(--MENU-SECTIONS-LINK-HOVER-color);
}

#sidebar ul li.active > a {
  background: var(--MENU-SECTION-ACTIVE-CATEGORY-BG-color);
  color: var(--MENU-SECTION-ACTIVE-CATEGORY-color) !important;
  text-decoration: underline;
}

#sidebar hr {
  border-color: var(--MENU-SECTION-HR-color);
}